<?php

namespace domain\PointSale\PointSale;

use domain\_\AbstractModule;

class PointSaleModule extends AbstractModule
{
    public function getServices(): array
    {
        return [
            PointSaleDefinition::class,
            PointSaleSolver::class,
            PointSaleRepository::class,
            PointSaleBuilder::class,
        ];
    }

    public function getDefinition(): PointSaleDefinition
    {
        return PointSaleDefinition::getInstance();
    }

    public function getSolver(): PointSaleSolver
    {
        return PointSaleSolver::getInstance();
    }

    public function getRepository(): PointSaleRepository
    {
        return PointSaleRepository::getInstance();
    }

    public function getBuilder(): PointSaleBuilder
    {
        return PointSaleBuilder::getInstance();
    }
}